Pytest-плагин, реализует возможность мульти проверок и мягких проверок
======================================================================

Установка
---------

``pip3 install pytest-multi-check``


Примеры:
--------

```python
  from pytest_multicheck import assertions


  def test_simple1():
    #Тест упадет после проведения всех проверок
    assertions.wait(1 > 2, 'Сообщение об ошибке')
    assertions.wait(-1 > 2, 'Сообщение об ошибке')


  def test_simple2():
    #Тест упадет в конце первого блока with checker() будут выполнены 1 и 2 проверка
    with assertions():
        assertions.wait(1 > 2, 'Сообщение об ошибке')
        assertions.wait(-1 > 2, 'Сообщение об ошибке')

    with assertions():
        assertions.wait(0 > 2, 'Сообщение об ошибке')
        assertions.wait(-4 > 2, 'Сообщение об ошибке')


  def test_simple3():
    #Тест упадет в конце второго блока with checker() будут выполнены все проверки
    with assertions.soft():
        with assertions():
            assertions.wait(1 > 2, 'Сообщение об ошибке')
            assertions.wait(-1 > 2, 'Сообщение об ошибке')

    with assertions():
        assertions.wait(0 > 2, 'Сообщение об ошибке')
        assertions.wait(-4 > 2, 'Сообщение об ошибке')
        
  def test_simple4():
    #Тест упадет после выполнения всех проверок
    @assertions.soft()
    def step(n):
        with assertions():
            assertions.wait(n > 2, 'Сообщение об ошибке')
            
    for num in range(-5, 5):
        step(num)
        
  def test_simple5():
    #Тест упадет после выполнения всех проверок
    @assertions.soft()
    @assertions()
    def step(n):
        assertions.wait(n > 2, 'Сообщение об ошибке')
            
    for num in range(-5, 5):
        step(num)
```